cc.funkemunky.api.reflections.types

## Class WrappedClass

- java.lang.Object
- - cc.funkemunky.api.reflections.types.WrappedClass

    public class WrappedClass
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`WrappedClass(java.lang.Class parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getAnnotation(java.lang.Class<T> annClass)`
`WrappedConstructor` `getConstructor()`
`WrappedConstructor` `getConstructor(java.lang.Class... types)`
`WrappedConstructor` `getConstructorAtIndex(int index)`
`java.util.List<WrappedConstructor>` `getConstructors()`
`WrappedMethod` `getDeclaredMethodByType(java.lang.Class<?> type, int index)`
`java.lang.Enum` `getEnum(java.lang.String name)`
`WrappedField` `getFieldByName(java.lang.String name)`
`WrappedField` `getFieldByType(java.lang.Class<?> type, int index)`
`java.util.List<WrappedField>` `getFields()`
`java.util.List<WrappedField>` `getFields(boolean noStatic)`
`java.util.List<WrappedField>` `getFields(boolean noStatic, boolean noFinal)`
`java.util.List<WrappedField>` `getFields(java.util.function.Predicate<WrappedField>... parameters)`
`WrappedField` `getFirstFieldByType(java.lang.Class<?> type)`
`WrappedMethod` `getMethod(java.lang.String name, java.lang.Class... parameters)`
`WrappedMethod` `getMethodByType(java.lang.Class<?> type, int index)`
`java.util.List<WrappedMethod>` `getMethods()`
`java.util.List<WrappedMethod>` `getMethods(boolean noStatic)`
`java.util.List<WrappedMethod>` `getMethods(boolean noStatic, boolean noFinal)`
`java.util.List<WrappedMethod>` `getMethods(java.util.function.Predicate<WrappedMethod>... parameters)`
`boolean` `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedClass

    public WrappedClass(java.lang.Class parent)

### Method Detail

#### getFieldByName

    public WrappedField getFieldByName(java.lang.String name)

#### getConstructor

    public WrappedConstructor getConstructor(java.lang.Class... types)

#### getFields

    public java.util.List<WrappedField> getFields(java.util.function.Predicate<WrappedField>... parameters)

#### getMethods

    public java.util.List<WrappedMethod> getMethods(java.util.function.Predicate<WrappedMethod>... parameters)

#### getConstructors

    public java.util.List<WrappedConstructor> getConstructors()

#### getConstructor

    public WrappedConstructor getConstructor()

#### getConstructorAtIndex

    public WrappedConstructor getConstructorAtIndex(int index)

#### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annClass)

#### getAnnotation

    public <T> T getAnnotation(java.lang.Class<T> annClass)

#### getFieldByType

    public WrappedField getFieldByType(java.lang.Class<?> type,
                                       int index)

#### getFirstFieldByType

    public WrappedField getFirstFieldByType(java.lang.Class<?> type)

#### getMethod

    public WrappedMethod getMethod(java.lang.String name,
                                   java.lang.Class... parameters)

#### getDeclaredMethodByType

    public WrappedMethod getDeclaredMethodByType(java.lang.Class<?> type,
                                                 int index)

#### getMethodByType

    public WrappedMethod getMethodByType(java.lang.Class<?> type,
                                         int index)
                                  throws java.lang.NullPointerException

Throws:
  `java.lang.NullPointerException`

#### getMethods

    public java.util.List<WrappedMethod> getMethods()

#### getMethods

    public java.util.List<WrappedMethod> getMethods(boolean noStatic,
                                                    boolean noFinal)

#### getMethods

    public java.util.List<WrappedMethod> getMethods(boolean noStatic)

#### getFields

    public java.util.List<WrappedField> getFields()

#### getFields

    public java.util.List<WrappedField> getFields(boolean noStatic,
                                                  boolean noFinal)

#### getFields

    public java.util.List<WrappedField> getFields(boolean noStatic)

#### getEnum

    public java.lang.Enum getEnum(java.lang.String name)